# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-07 15:08
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Facebook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=512)),
                ('account_id', models.CharField(max_length=512)),
                ('access_token', models.CharField(max_length=2048)),
                ('token_type', models.CharField(max_length=512)),
                ('expiration', models.DateTimeField(blank=True, default=None, null=True)),
                ('deleted', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FacebookPage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=512)),
                ('page_id', models.CharField(max_length=2048)),
                ('deleted', models.BooleanField(default=False)),
                ('facebook', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.Facebook')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FacebookPageSnapshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('country_page_likes', models.PositiveIntegerField()),
                ('fan_count', models.PositiveIntegerField()),
                ('new_like_count', models.PositiveIntegerField()),
                ('rating_count', models.PositiveIntegerField()),
                ('talking_about_count', models.PositiveIntegerField()),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.FacebookPage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LastFacebookPageSnapshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('page', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.FacebookPage')),
                ('snapshot', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.FacebookPageSnapshot')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LastTwitterSnapshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Twitter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('name', models.CharField(max_length=512)),
                ('account_id', models.CharField(max_length=512)),
                ('access_token', models.CharField(max_length=2048)),
                ('access_token_secret', models.CharField(max_length=2048)),
                ('expiration', models.DateTimeField(blank=True, default=None, null=True)),
                ('deleted', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TwitterSnapshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identity', models.CharField(max_length=2048, unique=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_update', models.DateTimeField(default=django.utils.timezone.now)),
                ('tweets', models.PositiveIntegerField()),
                ('following', models.PositiveIntegerField()),
                ('followers', models.PositiveIntegerField()),
                ('twitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.Twitter')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='lasttwittersnapshot',
            name='snapshot',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.TwitterSnapshot'),
        ),
        migrations.AddField(
            model_name='lasttwittersnapshot',
            name='twitter',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='socialstatistics.Twitter'),
        ),
    ]
